Bug 187235 - Review Request: ices - icecast streaming source client
Review Request: ices - icecast streaming source client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-29 09:05 EST by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 06:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-03-29 09:05:36 EST
Spec Name or Url: http://home.bawue.net/~ixs/ices/ices.spec
SRPM Name or Url: http://home.bawue.net/~ixs/ices/ices-2.0.1-2.src.rpm
Description:
IceS is a source client for a streaming server. The purpose of this client is
to provide an audio stream to a streaming server such that one or more
listeners can access the stream. With this layout, this source client can be
situated remotely from the icecast server.
Comment 1 Andreas Thienemann 2006-03-29 09:11:55 EST
FYI:
rpmlint returns the following warnings and errors:

W: ices conffile-without-noreplace-flag /etc/logrotate.d/ices
E: ices non-standard-gid /var/log/ices ices
E: ices non-standard-dir-perm /var/log/ices 0770

The warning shouldn't be a problem, and the errors can be ignored. ices is
running under the userid ices and therefore the logdir must belong to another
user. Perms are set accordingly.
Comment 2 Matt Domsch 2006-04-23 14:38:25 EDT
looks quite good (nice cleanup from my attempt last fall!).  A few nits which
can be fixed at CVS checkin time:

Please chkconfig --add only on initial install, not upgrade.
%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ices
fi

config(noreplace) the logrotate file:
%config(noreplace) %{_sysconfdir}/logrotate.d/ices



APPROVED.
Comment 3 Andreas Thienemann 2006-04-24 06:45:06 EDT
Thx. Package has been imported into cvs.

Note You need to log in before you can comment on or make changes to this bug.